
Foreman - Bug #10393

Foreman with Puppet: Puppet Classes can't be assigned to hosts

05/06/2015 09:55 AM - Stefan Hölzle

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman version: 1.8.0

Steps to reproduce:

1. Visit: http://...foreman-address.../hosts/...hostname.../edit

2. Open tag Puppet Classes

3. Puppet Classes can't be assigned to hosts there

Related issues:

Related to Foreman - Bug #10392: Foreman with Puppet: Puppet Classes can't be... Resolved 05/06/2015

History

#1 - 05/06/2015 10:08 AM - Dominic Cleal

- Related to Bug #10392: Foreman with Puppet: Puppet Classes can't be assigned to Config Groups added

#2 - 05/06/2015 10:09 AM - Dominic Cleal

- Project changed from Website to Foreman

- Status changed from New to Need more information

As per my comment on #10392, what isn't working isn't precisely clear from the bug report, please expand on it.

#3 - 05/07/2015 04:58 AM - Stefan Hölzle

- File host_edit_puppet_classes.png added

If I try to expand one of the puppet class items, the console log says: Uncaught ReferenceError: expandClassList is not defined

Screenshot is attached.

#4 - 05/07/2015 09:34 AM - Dominic Cleal

- Status changed from Need more information to Resolved

As per the other ticket.
